I recently uploaded MC to 1.6.2
I want to have a profile using the 1.5.2 version of MC in order to being able to login to a server I set up for that version some months ago. The server is modded and some of those mods don’t have a 1.6.2 version, that’s the reason why I can’t just use the same world with a newer server.

I followed the following steps:
1. Create a new profile in the new laucher and set it to use the version 1.5.2 of MC
2. Go to .minecraft/versions and copy the folder “1.5.2” and its content in the same directory and rename it to “1.5.2-Forge”
3. Rename the .jar and the .json in “1.5.2-Forge” folder to “1.5.2-Forge.jar” and “1.5.2-Forge.json”.
4. Open the .json file with Notepad and change “id” to “1.5.2-Forge”.
5. Open the MC launcher and create a new profile which uses “release – 1.5.2-Forge”. Launch the game with this profile.

Till this point, the game works perfectly. Then I proceeded to install Forge:
6. Download the “universal” version of Forge for 1.5.2
7. Open .minecraft/versions/1.5.2-Forge/1.5.2-Forge.jar with an archive explorer (WinRar) and delete the META-INF folder
8. Drag and drop all the content of the .zip downloaded in step 6 into “1.5.2-Forge.jar”

No problems so far. The errors start now. After these steps I just did the following:
9. Open MC Launcher again.
10. Set the profile to be the one created in step 5.
11. Click “Play”

The game starts loading and the FML window appears, with the loading status bar working perfectly UNTIL the loading status says “Library file scala-library.jar was downloaded and verified successfully”. In that moment, an error window pops up and says “There was a fatal error starting up minecraft and FML. Minecraft cannot launch in it’s current configuration. Please consult the file …/.minecraft/ForgeModLoader-client-0.log for further information.”

Here’s the funny part. This file shows no apparent error information (or at least I can’t identify it):


2013-08-24 16:16:26 [Información] [ForgeModLoader] Forge Mod Loader version for Minecraft 1.5.2 loading
2013-08-24 16:16:26 [Información] [ForgeModLoader] Java is Java HotSpot(TM) 64-Bit Server VM, version 1.7.0_05, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre7
2013-08-24 16:16:26 [Detallado] [ForgeModLoader] Java classpath at launch is C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\net\minecraft\launchwrapper\1.5\launchwrapper-1.5.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\net\sf\jopt-simple\jopt-simple\4.5\jopt-simple-4.5.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\org\ow2\asm\asm-all\4.1\asm-all-4.1.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\net\java\jinput\jinput\2.0.5\jinput-2.0.5.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\net\java\jutils\jutils\1.0.0\jutils-1.0.0.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl\2.9.0\lwjgl-2.9.0.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl_util\2.9.0\lwjgl_util-2.9.0.jar;C:\Users\Zaski\AppData\Roaming\.minecraft\versions\1.5.2-Forge\1.5.2-Forge.jar
2013-08-24 16:16:26 [Detallado] [ForgeModLoader] Java library path at launch is C:\Users\Zaski\AppData\Roaming\.minecraft\versions\1.5.2-Forge\1.5.2-Forge-natives-62998748482828
2013-08-24 16:16:26 [Detallado] [ForgeModLoader] Enabling runtime deobfuscation
2013-08-24 16:16:26 [Más Detallado] [ForgeModLoader] All core mods are successfully located
2013-08-24 16:16:26 [Más Detallado] [ForgeModLoader] Discovering coremods
2013-08-24 16:16:26 [Más Detallado] [ForgeModLoader] Found library file argo-small-3.2.jar present and correct in lib dir
2013-08-24 16:16:26 [Más Detallado] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/guava-14.0-rc3.jar
2013-08-24 16:16:26 [Información] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/guava-14.0-rc3.jar
2013-08-24 16:16:33 [Más Detallado] [ForgeModLoader] Download complete
2013-08-24 16:16:33 [Información] [ForgeModLoader] Download complete
2013-08-24 16:16:33 [Más Detallado] [ForgeModLoader] Library file guava-14.0-rc3.jar was downloaded and verified successfully
2013-08-24 16:16:33 [Más Detallado] [ForgeModLoader] Found library file asm-all-4.1.jar present and correct in lib dir
2013-08-24 16:16:33 [Más Detallado] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/bcprov-jdk15on-148.jar
2013-08-24 16:16:33 [Información] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/bcprov-jdk15on-148.jar
2013-08-24 16:16:36 [Más Detallado] [ForgeModLoader] Download complete
2013-08-24 16:16:36 [Información] [ForgeModLoader] Download complete
2013-08-24 16:16:36 [Más Detallado] [ForgeModLoader] Library file bcprov-jdk15on-148.jar was downloaded and verified successfully
2013-08-24 16:16:36 [Más Detallado] [ForgeModLoader] Found library file deobfuscation_data_1.5.2.zip present and correct in lib dir
2013-08-24 16:16:36 [Más Detallado] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/scala-library.jar
2013-08-24 16:16:36 [Información] [ForgeModLoader] Downloading file http://files.minecraftforge.net/fmllibs/scala-library.jar
2013-08-24 16:16:45 [Más Detallado] [ForgeModLoader] Download complete
2013-08-24 16:16:45 [Información] [ForgeModLoader] Download complete
2013-08-24 16:16:45 [Más Detallado] [ForgeModLoader] Library file scala-library.jar was downloaded and verified successfully


Additional information: I successfully installed and played, previously to all this process, Forge for the 1.6.2 version of MC. I don’t know if this interferes at all.

Additional information 2: I use Windows 7 in Spanish (not relevant, I think, but just in case).

If someone could lend me a hand I would vastly appreciate it. Thank you in advance and hope I showed all the neccessary info.